{#
/**
 * @file
 * Template for the Contacts Booking order receipt.
 *
 * Available variables:
 * - order_entity: The order entity.
 * - billing_information: The billing information.
 * - shipping_information: The shipping information.
 * - payment_method: The payment method.
 * - totals: An array of order totals values with the following keys:
 *   - subtotal: The order subtotal price.
 *   - adjustments: An array of adjustment totals:
 *     - type: The adjustment type.
 *     - label: The adjustment label.
 *     - total: The adjustment total price.
 *     - weight: The adjustment weight, taken from the adjustment type.
 *   - total: The order total price.
 *
 * @ingroup themeable
 */
#}
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="border:none;width:100%">
    <tbody>
    <tr>
        <td valign="top" style="padding:0 0 0 0.5em;vertical-align:top;">
            <a href="{{ url('<front>') }}" target="_blank"><img src="{{ site_logo }}" alt="{{ site_name }}" /></a>
        </td>
    </tr>
    <tr>
        <td colspan="2" style="padding:1em 0 0;">
            <p>Dear {{ order_entity.customer.displayName }},</p>
            <p>Thank you for managing a booking to come to {{ event_entity.label }}.</p>
            <p>Booking reference: {{ order_entity.order_number.value }}<br/>
                Event date: {{ event_start_date }}<br/>
                Booking contact: {{ order_entity.customer.displayName }}<br/>
                Amount paid: {{ order_entity.getTotalPaid|commerce_price_format }}<br/>
                Balance outstanding: {{ order_entity.getBalance|commerce_price_format }}</p>
            {% block order_items %}
                <table style="border-spacing: 9px; border-collapse: separate;">
                    <thead>
                        <th>Name</th>
                        <th>Price</th>
                        <th>Ticket Class</th>
                        <th>Status</th>
                    </thead>
                    <tbody style="text-align: left;">
                    {% for order_item in order_entity.getItems %}
                        {% if order_item.state.value != 'pending' and order_item.getPurchasedEntity.getEntityTypeId == 'contacts_ticket' %}
                            <tr>
                                <td>{{ order_item.getPurchasedEntity.getName }}</td>
                                <td>{{ order_item.getTotalPrice|commerce_price_format }}</td>
                                <td>{{ event_classes[order_item.getPurchasedEntity.mapped_price.class] }}</td>
                                <td>{{ order_item_states[order_item.state.value] }}</td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            {% endblock %}
            <p>To edit your booking or pay your balance, please log in to your online account at <a href="{{ url('<front>') }}" target="_blank">{{ url('<front>') }}</a>.</p>
            {{ event_entity.confirmation_email_text.processed }}
        </td>
    </tr>
    </tbody>
</table>
